## sch-rnd 0.9.3

=== Makefile ===
all:
	cd src && $(MAKE) all
	cd util && $(MAKE) all
	cd tests && $(MAKE) all && cd ..

dep:
	cd src && $(MAKE) dep

clean:
	cd src && $(MAKE) clean
	cd util && $(MAKE) clean
	cd tests && $(MAKE) clean && cd ..

distclean:
	cd src && $(MAKE) distclean
	cd util && $(MAKE) distclean
	cd scconfig && $(MAKE) distclean
	cd tests && $(MAKE) distclean && cd ..

install:
	cd src && $(MAKE) install
	cd doc && $(MAKE) install
	cd library && $(MAKE) install
	cd util && $(MAKE) install
	cd src_3rd && $(MAKE) install
	cd font && $(MAKE) install

linstall:
	cd src && $(MAKE) linstall
	cd doc && $(MAKE) linstall
	cd library && $(MAKE) linstall
	cd util && $(MAKE) linstall
	cd src_3rd && $(MAKE) install
	cd font && $(MAKE) install

uninstall:
	cd src && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall
	cd library && $(MAKE) uninstall
	cd util && $(MAKE) uninstall
	cd src_3rd && $(MAKE) install
	cd font && $(MAKE) install

test:
	cd tests && $(MAKE) test && cd ..

=== doc/Makefile ===
MENU_RES=../src/menu-default.lht
KEYLIST=../util/keylist.sh
DEBLIST=../util/devhelpers/deblist.sh
ROOT=..

all:
	ROOT="" ./Autostyle.sh *.html
	ROOT="../" ./Autostyle.sh tutorial/index.html user/index.html
#	./datasheet.sh

include ../Makefile.conf

user/05_ui/keytree.svg: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --dot user/05_ui/src/node_names.txt $(MENU_RES) > user/05_ui/keytree.dot
	dot -Tsvg < user/05_ui/keytree.dot >user/05_ui/keytree.svg

user/05_ui/keytree.txt: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --lst $(MENU_RES) > user/05_ui/keytree.txt


keys.html: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) $(MENU_RES) > keys.html

install_main:
	$(SCCBOX) $(HOW) *.html *.txt TODO $(DOCDIR)/

install:
	$(SCCBOX) mkdir -p "$(DOCDIR)"
	cd design && $(MAKE) install
	cd developer && $(MAKE) install
	cd examples && $(MAKE) install
	cd man && $(MAKE) install
	cd tutorial && $(MAKE) install
	cd user && $(MAKE) install
	$(MAKE) install_main HOW="install -f -d"

linstall:
	cd design && $(MAKE) linstall
	cd developer && $(MAKE) linstall
	cd examples && $(MAKE) linstall
	cd man && $(MAKE) linstall
	cd tutorial && $(MAKE) linstall
	cd user && $(MAKE) linstall
	$(MAKE) install_main HOW="install -f -l -d"

uninstall:
	cd design && $(MAKE) uninstall
	cd developer && $(MAKE) uninstall
	cd examples && $(MAKE) uninstall
	cd man && $(MAKE) uninstall
	cd tutorial && $(MAKE) uninstall
	cd user && $(MAKE) uninstall
	$(MAKE) install_main HOW="install -f -u -d"

clean:
	cd design && $(MAKE) clean
	cd developer && $(MAKE) clean
	cd examples && $(MAKE) clean
	cd man && $(MAKE) clean
	cd tutorial && $(MAKE) clean
	cd user && $(MAKE) clean

distclean:
	cd design && $(MAKE) distclean
	cd developer && $(MAKE) distclean
	cd examples && $(MAKE) distclean
	cd man && $(MAKE) distclean
	cd tutorial && $(MAKE) distclean
	cd user && $(MAKE) distclean

=== scconfig/Makefile ===
# --- configuration part --

# - generic configuration -
#  where scconfig source is; this is a path to a partial or full checkout of
#  svn://repo.hu/scconfig/trunk/src
LIBRND_PREFIX=/usr
SRC=src/

#  where compiled binaries (e.g. objects) should land; should be the same as
#  $(SRC) the project has its own copy of scconfig embedded
BIN=$(SRC)

#  what cflags to use to compile scconfig
USER_CFLAGS = -I. $(LIBRND_EXTRA_INCLUDE) -DLIBRND_PREFIX="$(LIBRND_PREFIX)"

#  what ldflags to use to link scconfig
USER_LDFLAGS =

#  in case hooks.c needs to link to something local
USER_OBJS = $(BIN)/util/arg_auto_set.o

#  what to build - a ./configure
all: configure revtest

# This line imports scconfig core and default tests
include $(SRC)/default/Makefile.plugin

#
# - PLUGINS -
#
#  Comment this line if you are not interested in c99 features
#include $(SRC)/c99/Makefile.plugin

#  Comment this line if you do not need script libs to be detected
include $(SRC)/scripts/Makefile.plugin

#  Comment this line if you do not need parser libs to be detected
#include $(SRC)/parser/Makefile.plugin

#  Comment this line if you do not need to detect parser generators
include $(SRC)/parsgen/Makefile.plugin

#  Comment this line if you do not need math related libs
include $(SRC)/math/Makefile.plugin

#  Comment this line if you do not need socket/networking
include $(SRC)/socket/Makefile.plugin

#  Comment this line if you do not need user/password API detection
include $(SRC)/userpass/Makefile.plugin

#  Comment this line if you do not need gui (X11, toolkits)
#include $(SRC)/gui/Makefile.plugin

#  Comment this line if you do not need tty (nurses, slang, pty-related calls)
#include $(SRC)/tty/Makefile.plugin

#  Comment this line if you do not need software utility libs (gen*, glib)
include $(SRC)/sul/Makefile.plugin

#  Comment this line if you do not need to detect POSIX calls
#include $(SRC)/posix/Makefile.plugin

#  Uncomment this line if you need menus
#include $(SRC)/menulib/Makefile.plugin

#  Comment this line if you do not need generator (templating); conflicts with tmpasm
#include $(SRC)/generator/Makefile.plugin

#  Comment this line if you do not need tmpasm (templating); conflicts with generator
include $(SRC)/tmpasm/Makefile.plugin

# --- you shouldn't edit the lines below ---
OBJS = $(USER_OBJS) hooks.o librnd_ver.o $(DEFAULT_NOMAIN_OBJS) $(SCRIPT_OBJS) $(PARSER_OBJS) $(GENERATOR_OBJS) $(TMPASM_OBJS) $(C99_OBJS) $(PARSGEN_OBJS) $(MATH_OBJS) $(SOCKET_OBJS) $(USERPASS_OBJS) $(GUI_OBJS) $(TTY_OBJS) $(SUL_OBJS) $(POSIX_OBJS)
CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS) $(TTY_CFLAGS) $(SUL_CFLAGS) $(POSIX_CFLAGS) $(MENULIB_CFLAGS) -I$(SRC)/default
LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(TTY_LDFLAGS) $(SUL_LDFLAGS) $(POSIX_LDFLAGS) $(MENULIB_LDFLAGS)

configure: $(OBJS) $(DEFAULT_MAIN_OBJS) sccbox
	$(CC) -o configure $(OBJS) $(DEFAULT_MAIN_OBJS)

menuconfig: $(OBJS) $(MENULIB_OBJS)
	$(CC) -o configure $(OBJS) $(MENULIB_OBJS)

src/util/sccbox.o: src/util/sccbox.c
	$(CC) -c $(CFLAGS) -o src/util/sccbox.o src/util/sccbox.c

sccbox: src/util/sccbox.o
	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o

LIBRNDSCC=$(LIBRND_PREFIX)/include/librnd/scconfig
RNDHOOKS=$(LIBRNDSCC)/plugin_3state.h $(LIBRNDSCC)/hooks_common.h

hooks.o: $(RNDHOOKS) plugins.h $(LIBRND_PREFIX)/include/librnd/scconfig Rev.h

librnd_ver.o: librnd_ver.c $(LIBRND_PREFIX)/include/librnd/config.h
	$(CC) -c $(CFLAGS) -o librnd_ver.o librnd_ver.c

$(BIN)/util/arg_auto_set.o: $(SRC)/util/arg_auto_set.c $(SRC)/util/arg_auto_set.h
	$(CC) -c $(CFLAGS) -o $(BIN)/util/arg_auto_set.o $(SRC)/util/arg_auto_set.c

clean:
	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure sccbox

distclean: clean
	-rm Makefile.depgen config.cache config.log

=== src_3rd/Makefile ===
ROOT=..

all:

clean:

distclean:

install_:
	-$(SCCBOX) mkdir -p $(LIBDIR)/boxsym-rnd
	$(CPC) "`pwd`/libminuid/minuid" "$(LIBDIR)/minuid"

install:
	$(MAKE) install_ CPC="$(SCCBOX) install"

linstall:
	$(MAKE) install_ CPC="$(SCCBOX) linstall"

uninstall:
	$(MAKE) install_ CPC="$(SCCBOX) uninstall"

include $(ROOT)/Makefile.conf

=== doc/design/Makefile ===
ROOT =../..

DESDIR=$(DOCDIR)/design

DES = \
 front_des.html \
 01_system.html \
 02_data.html \
 03_drawing.html \
 04_attrib.html \
 05_netlist.html \
 06_hierarchy.html \
 07_devmap.html \
 08_ripple.html

IMP = \
 front_imp.html \
 01_system_imp.html \
 02_data_imp.html \
 03_drawing_imp.html \
 04_attrib_imp.html \
 06_hierarchy_imp.html \
 07_devmap_imp.html \
 08_ripple_imp.html

pdf: des.pdf imp.pdf

.images.stamp: src/*
	cd src && make
	echo "done" > .images.stamp

des.pdf: des.ps
	ps2pdf des.ps

des.ps: $(DES) .images.stamp
	(for n in $(DES); do echo "<!--NewPage-->"; cat $$n; done) | sed "s/\.svg/.png/g" | html2ps --colour > des.ps

imp.pdf: imp.ps
	ps2pdf imp.ps

imp.ps: $(IMP) .images.stamp
	(for n in $(IMP); do echo "<!--NewPage-->"; cat $$n; done) | sed "s/\.svg/.png/g" | html2ps --colour > imp.ps


install_all:
	$(SCCBOX) mkdir -p "$(DESDIR)"
	$(SCCBOX) $(HOW) -d $(DES) "$(DESDIR)"
	$(SCCBOX) $(HOW) -d $(IMP) "$(DESDIR)"

install:
	$(MAKE) install_all HOW="install -f"

linstall:
	$(MAKE) install_all HOW="linstall -f"

uninstall:
	$(MAKE) install_all HOW="uninstall"

include $(ROOT)/Makefile.conf

=== src_3rd/load_cache/Makefile ===
CFLAGS = -I.. -Wall -std=c89 -pedantic

all: load_cache.o

load_cache.o: load_cache.c load_cache.h
	$(CC) $(CFLAGS) -c -o load_cache.o load_cache.c

clean:
	rm load_cache.o

=== src/plugins/io_altium/Makefile ===
all:
	cd ../../sch-rnd && make mod_io_altium

=== doc/user/09_appendix/src/Makefile ===
# NOTE: aagraph is at svn://repo.hu/projects/aagraph/trunk

PCBRND = ../../../../src/sch-rnd
CLEANFILES=../action_details.html ../action_reference.html

all: $(CLEANFILES)

../action_details.html: ./action_compiler.sh ../action_src/*.html librnd_acts
	./action_compiler.sh ../action_src/*.html LIBRND librnd_acts/*.html > ../action_details.html

../action_reference.html : ./dump_actions_to_html.sh $(PCBRND) ../action_details.html librnd_acts
	./dump_actions_to_html.sh > ../action_reference.html

librnd_acts: FORCE
	svn checkout svn://svn.repo.hu/librnd/trunk/doc/action librnd_acts

FORCE:

clean:  
	rm $(CLEANFILES)
	-rm -rf librnd_acts

=== debian/changelog ===
sch-rnd (0.9.3-1) unstable; urgency=low

  * Initial packaging for Debian

 -- Bdale Garbee <bdale@gag.com>  Sat, 19 Nov 2022 11:04:58 -0700

=== debian/control ===
Source: sch-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.2.0), libxml2-dev
Standards-Version: 4.1.3
Homepage: http://repo.hu/projects/sch-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/sch-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/sch-rnd

Package: sch-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-io-alien (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version}), librnd3-hid-gtk2-gl (>= 3.2.0), librnd3-hid-gtk2-gdk (>= 3.2.0), sch-rnd-export-extra (= ${binary:Version}), sch-rnd-doc (= ${source:Version})
Description: Standard installation of sch-rnd
 sch-rnd is a highly modular schematic capture software with a rich set of
 plugins for communicating with various external design tools and other
 EDA/CAD packages.
 .
 Feature highlights:
   - explicit abstract model
   - back annotation support
   - multiple sheets
 .
 File formats and compatibility:
   - text based, tree structured native file format (lihata)
   - import netlist:
     * geda cschem schematics (v2)
     * lihata cschem schematics (any version)
     * TinyCAD schematics
   - export netlist:
     * lihata cschem schematics (any version)
   - import misc:
     * geda cschem symbol (v1)
     * lihata cschem symbol (any version)
   - export misc:
     * printer (using ps)
     * lihata cschem symbol (any version)

Package: sch-rnd-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Documentation for sch-rnd
 User manual and developer doc (html).

Package: sch-rnd-io-alien
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
Description: File format compatibility with other schematics capture tools.
 Load and/or save boards in file formats supported by other EDA tools,
 geda/gschem, lepton-eda, TinyCAD.

Package: sch-rnd-export-gd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd3-pixmap (>= 3.2.0)
Description: Export formats that require libgd.
 Bitmap export plugin (png, jpeg, etc.)

Package: sch-rnd-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd3-lib-gui (>= 3.2.0)
Description: Support library for building the GUI.
 Provides sch-rnd specific dialog boxes and top window GUI elements.

Package: sch-rnd-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (>= 3.2.0)
Description: sch-rnd executable with the core functionality and boxsym-rnd
 Includes the data model, the most common action commands, the native
 file format. Can be used in headless mode or batch/scripted mode for
 automated processing or with GUI (if sch-rnd-lib-gui and librnd GUI
 HIDs are installed).

Package: sch-rnd-export-vector
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd3 (>= 3.2.0)
Description: Export formats: vector graphics
 Common vector graphic export formats: ps, eps, svg.

Package: sch-rnd-export-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-export-vector (= ${binary:Version})
Description: Export formats: special/extra
 Less commonly used export formats: abstract model text export, direct
 printing with lpr.

Package: sch-rnd-debug
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
Description: Debug and diagnostics.
 Extra action commands to help in debugging and diagnosing problems
 and bugs.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--symbols \
		--prefix=/usr \
		--confdir=/etc/sch-rnd \
		--prefix/libs/script/fungw=/dev/null \
		\
		--all=disable \
		--buildin-act_read \
		--buildin-place \
		--buildin-symlib_local \
		--buildin-std_tools \
		--buildin-renumber \
		--buildin-backann \
		--buildin-std_cschem \
		--buildin-export_tedax \
		--buildin-std_forge \
		--buildin-std_devmap \
		--buildin-propedit \
		--buildin-io_lihata \
		--buildin-target_pcb \
		--buildin-act_draw \
		--buildin-target_none \
		--buildin-symlib_fs \
		--buildin-query \
		--buildin-construct \
		--plugin-lib_alien \
		--plugin-export_ps \
		--plugin-export_abst \
		--plugin-sch_dialogs \
		--plugin-export_lpr \
		--plugin-export_svg \
		--plugin-gui \
		--plugin-diag \
		--plugin-io_tinycad \
		--plugin-io_geda \
		--plugin-export_png \

## sch-rnd 0.9.4

=== debian/changelog ===
sch-rnd (0.9.4-1) unstable; urgency=low

  * new upstream versionn

 -- Bdale Garbee <bdale@gag.com>  Wed, 08 Feb 2023 01:01:07 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), librnd3-dev (>= 3.2.0), libxml2-dev
+Build-Depends: debhelper (>= 11), librnd4-dev, libxml2-dev
 Standards-Version: 4.1.3
 Homepage: http://repo.hu/projects/sch-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/sch-rnd.git
@@ -11,7 +11,7 @@
 
 Package: sch-rnd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-io-alien (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version}), librnd3-hid-gtk2-gl (>= 3.2.0), librnd3-hid-gtk2-gdk (>= 3.2.0), sch-rnd-export-extra (= ${binary:Version}), sch-rnd-doc (= ${source:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-io-alien (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk2-gl, librnd4-hid-gtk2-gdk, sch-rnd-export-extra (= ${binary:Version}), sch-rnd-doc (= ${source:Version})
 Description: Standard installation of sch-rnd
  sch-rnd is a highly modular schematic capture software with a rich set of
  plugins for communicating with various external design tools and other
@@ -52,19 +52,19 @@
 
 Package: sch-rnd-export-gd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd3-pixmap (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-pixmap
 Description: Export formats that require libgd.
  Bitmap export plugin (png, jpeg, etc.)
 
 Package: sch-rnd-lib-gui
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd3-lib-gui (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-lib-gui
 Description: Support library for building the GUI.
  Provides sch-rnd specific dialog boxes and top window GUI elements.
 
 Package: sch-rnd-core
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd3 (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4
 Description: sch-rnd executable with the core functionality and boxsym-rnd
  Includes the data model, the most common action commands, the native
  file format. Can be used in headless mode or batch/scripted mode for
@@ -73,7 +73,7 @@
 
 Package: sch-rnd-export-vector
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd3 (>= 3.2.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4
 Description: Export formats: vector graphics
  Common vector graphic export formats: ps, eps, svg.

## sch-rnd 1.0.0

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 clean:
 	cd src && $(MAKE) clean
+	cd src_3rd && $(MAKE) clean
 	cd util && $(MAKE) clean
 	cd tests && $(MAKE) clean && cd ..

=== doc/Makefile ===
--- 
+++ 
@@ -1,14 +1,13 @@
-MENU_RES=../src/menu-default.lht
-KEYLIST=../util/keylist.sh
-DEBLIST=../util/devhelpers/deblist.sh
+MENU_RES=../src/sch-rnd/menu-default.lht
 ROOT=..
 
-all:
+all: user/05_ui/keytree.svg user/05_ui/keytree.txt keys.html
 	ROOT="" ./Autostyle.sh *.html
 	ROOT="../" ./Autostyle.sh tutorial/index.html user/index.html
 #	./datasheet.sh
 
 include ../Makefile.conf
+include $(LIBRND_MAK)
 
 user/05_ui/keytree.svg: $(MENU_RES) $(KEYLIST)
 	$(KEYLIST) --dot user/05_ui/src/node_names.txt $(MENU_RES) > user/05_ui/keytree.dot

=== library/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from ../Makefile.conf which is scconfig generated

ROOT=..

all:

# NOTE: this rule is _not_ called from linstall
install_:
	$(MKDIR) "$(DATADIR)/symbol" "$(DATADIR)/devmap"
	$(CPC) "`pwd`/devmap"/* "$(DATADIR)/devmap"
	$(CPC) "`pwd`/symbol"/common_sym.awk "$(DATADIR)/symbol"/common_sym.awk
	$(CPC) "`pwd`/symbol"/LICENSE "$(DATADIR)/symbol"/LICENSE
	$(MKDIR) "$(DATADIR)/symbol/analog"
	$(CPC) "`pwd`/symbol/analog"/* "$(DATADIR)/symbol/analog"
	$(MKDIR) "$(DATADIR)/symbol/diode"
	$(CPC) "`pwd`/symbol/diode"/* "$(DATADIR)/symbol/diode"
	$(MKDIR) "$(DATADIR)/symbol/mech"
	$(CPC) "`pwd`/symbol/mech"/* "$(DATADIR)/symbol/mech"
	$(MKDIR) "$(DATADIR)/symbol/misc"
	$(CPC) "`pwd`/symbol/misc"/* "$(DATADIR)/symbol/misc"
	$(MKDIR) "$(DATADIR)/symbol/passive"
	$(CPC) "`pwd`/symbol/passive"/* "$(DATADIR)/symbol/passive"
	$(MKDIR) "$(DATADIR)/symbol/power"
	$(CPC) "`pwd`/symbol/power"/* "$(DATADIR)/symbol/power"
	$(MKDIR) "$(DATADIR)/symbol/transistor"
	$(CPC) "`pwd`/symbol/transistor"/* "$(DATADIR)/symbol/transistor"

install:
	$(MAKE) install_ CPC="$(CP)"

# hack: pcb's chdir() based approach gets fooled on symlinks because of "cd .."
# returns to the wrong dir - rather symlink the whole dir
linstall:
	$(MAKE) uninstall
	$(MKDIR) "$(DATADIR)"
	$(LN) "`pwd`/symbol" "$(DATADIR)/symbol"
	$(LN) "`pwd`/devmap" "$(DATADIR)/devmap"

uninstall:
	$(RM) "$(DATADIR)/symbol" "$(DATADIR)/devmap"

clean:

include $(ROOT)/Makefile.conf

=== tests/Makefile ===
all:
	cd export_abst && $(MAKE) all && cd ..

test:
	cd export_abst && $(MAKE) test && cd ..

clean:
	cd export_abst && $(MAKE) clean && cd ..

distclean:
	cd export_abst && $(MAKE) distclean && cd ..

=== src/plugins/renumber/Makefile ===
all:
	cd ../../sch-rnd && make mod_renumber

## sch-rnd 1.0.1

=== library/Makefile ===
--- 
+++ 
@@ -7,8 +7,9 @@
 
 # NOTE: this rule is _not_ called from linstall
 install_:
-	$(MKDIR) "$(DATADIR)/symbol" "$(DATADIR)/devmap"
+	$(MKDIR) "$(DATADIR)/symbol" "$(DATADIR)/devmap" "$(DATADIR)/spice"
 	$(CPC) "`pwd`/devmap"/* "$(DATADIR)/devmap"
+	$(CPC) "`pwd`/spice"/* "$(DATADIR)/spice"
 	$(CPC) "`pwd`/symbol"/common_sym.awk "$(DATADIR)/symbol"/common_sym.awk
 	$(CPC) "`pwd`/symbol"/LICENSE "$(DATADIR)/symbol"/LICENSE
 	$(MKDIR) "$(DATADIR)/symbol/analog"
@@ -36,9 +37,10 @@
 	$(MKDIR) "$(DATADIR)"
 	$(LN) "`pwd`/symbol" "$(DATADIR)/symbol"
 	$(LN) "`pwd`/devmap" "$(DATADIR)/devmap"
+	$(LN) "`pwd`/spice" "$(DATADIR)/spice"
 
 uninstall:
-	$(RM) "$(DATADIR)/symbol" "$(DATADIR)/devmap"
+	$(RM) "$(DATADIR)/symbol" "$(DATADIR)/devmap" "$(DATADIR)/spice"
 
 clean:

=== tests/Makefile ===
all:
	cd export_abst && $(MAKE) all && cd ..
	cd export_spice && $(MAKE) all && cd ..

test:
	cd export_abst && $(MAKE) test && cd ..
	cd export_spice && $(MAKE) test && cd ..

clean:
	cd export_abst && $(MAKE) clean && cd ..
	cd export_spice && $(MAKE) clean && cd ..

distclean:
	cd export_abst && $(MAKE) distclean && cd ..
	cd export_spice && $(MAKE) distclean && cd ..

=== debian/changelog ===
sch-rnd (1.0.1-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Jun 2023 16:07:00 -0600

sch-rnd (1.0.0-1) unstable; urgency=medium

  * new upstream version
  * first upstream stable release, closes: #1024510

 -- Bdale Garbee <bdale@gag.com>  Wed, 03 May 2023 18:24:52 -0600

sch-rnd (0.9.5-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Mar 2023 14:30:30 -0600

=== debian/control ===
--- 
+++ 
@@ -25,16 +25,25 @@
  File formats and compatibility:
    - text based, tree structured native file format (lihata)
    - import netlist:
+     * altium schematics
      * geda cschem schematics (v2)
      * lihata cschem schematics (any version)
+     * cschem non-graphical schematic sheets in tEDAx format
      * TinyCAD schematics
    - export netlist:
+     * tEDAx netlist
      * lihata cschem schematics (any version)
    - import misc:
      * geda cschem symbol (v1)
      * lihata cschem symbol (any version)
    - export misc:
+     * abstract model text
      * printer (using ps)
+     * png
+     * ps
+     * eps
+     * spice
+     * svg
      * lihata cschem symbol (any version)
 
 Package: sch-rnd-doc
@@ -48,7 +57,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
 Description: File format compatibility with other schematics capture tools.
  Load and/or save boards in file formats supported by other EDA tools,
- geda/gschem, lepton-eda, TinyCAD.
+ geda/gschem, lepton-eda, TinyCAD, Altium.
 
 Package: sch-rnd-export-gd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -26,24 +26,31 @@
 		--buildin-act_read \
 		--buildin-place \
 		--buildin-symlib_local \
+		--buildin-lib_netlist_exp \
 		--buildin-std_tools \
 		--buildin-renumber \
+		--buildin-io_ngrp_tedax \
 		--buildin-backann \
 		--buildin-std_cschem \
 		--buildin-export_tedax \
 		--buildin-std_forge \
 		--buildin-std_devmap \
 		--buildin-propedit \
+		--buildin-io_ngrp_fawk \
 		--buildin-io_lihata \
+		--buildin-target_spice \
 		--buildin-target_pcb \
 		--buildin-act_draw \
 		--buildin-target_none \
 		--buildin-symlib_fs \
 		--buildin-query \
+		--buildin-export_spice \
+		--buildin-lib_ngrp \
 		--buildin-construct \
 		--plugin-lib_alien \
 		--plugin-export_ps \
 		--plugin-export_abst \
+		--plugin-io_altium \
 		--plugin-sch_dialogs \
 		--plugin-export_lpr \
 		--plugin-export_svg \

## sch-rnd 1.0.3

=== tests/Makefile ===
all:
	cd export_abst && $(MAKE) all && cd ..
	cd export_spice && $(MAKE) all && cd ..
	cd std_forge_cond && $(MAKE) all && cd ..

test:
	@cd export_abst && $(MAKE) test && cd ..
	@cd export_spice && $(MAKE) test && cd ..
	@cd std_forge_cond && $(MAKE) test && cd ..
	@echo ""
	@echo "======================================================="
	@echo "=== All tests passed; it is safe to install sch-rnd ==="
	@echo "======================================================="
	@echo ""

clean:
	cd export_abst && $(MAKE) clean && cd ..
	cd export_spice && $(MAKE) clean && cd ..
	cd std_forge_cond && $(MAKE) clean && cd ..


distclean:
	cd export_abst && $(MAKE) distclean && cd ..
	cd export_spice && $(MAKE) distclean && cd ..
	cd std_forge_cond && $(MAKE) distclean && cd ..

=== tests/std_forge_cond/Makefile ===
TRUNK=../..
STDFRG=$(TRUNK)/src/plugins/std_forge

include $(TRUNK)/Makefile.conf
include $(LIBRND_MAK)

CFLAGS = $(CFLAGS_LIBRND) -I$(STDFRG) -I$(TRUNK)/src -I$(TRUNK)/src/plugins
LDFLAGS = $(LDFLAGS_LIBRND)
LDLIBS = -lrnd-3rd


all: std_forge_cond

std_forge_cond: $(STDFRG)/cond_gram.o std_forge_cond.o
	$(CC) -o std_forge_cond  std_forge_cond.o $(STDFRG)/cond_gram.o $(LDFLAGS_LIBRND) $(LDLIBS)

$(STDFRG)/cond_gram.o: $(STDFRG)/cond_gram.c $(STDFRG)/cond.h
	$(CC) -c $(CFLAGS) -o $(STDFRG)/cond_gram.o $(STDFRG)/cond_gram.c

$(STDFRG)/cond_gram.c $(STDFRG)/cond_gram.h: $(STDFRG)/cond_gram.y
	@echo "(not running byaccic from make test)"

std_forge_cond.o: std_forge_cond.c $(STDFRG)/cond.h
	$(CC) -c $(CFLAGS) -o std_forge_cond.o std_forge_cond.c

test:
	cd regression && ./Test.sh

clean:
	-rm cond cond.c regression/*.out

=== src/plugins/io_orcad/tester/Makefile ===
OBJS_COMMON=read_fio.o read_common.o read_prim.o read_page.o read_dump.o
OBJS_PAGE=page.o
OBJS_CACHE=cache.o
CFLAGS=-g -DORCAD_TESTER -I.. -I.

default: all

all: page cache

clean:
	rm -f read_page read_cache $(OBJS_PAGE) $(OBJS_CACHE) $(OBJS_COMMON)

page: $(OBJS_PAGE) $(OBJS_COMMON)
	$(CC) -o page $(OBJS_PAGE) $(OBJS_COMMON)

cache: $(OBJS_CACHE) $(OBJS_COMMON)
	$(CC) -o cache $(OBJS_CACHE) $(OBJS_COMMON)

read_fio.o: read_fio.c read_fio.h
	$(CC) $(CFLAGS) -o read_fio.o -c read_fio.c

page.o: page.c read_fio.h ../read_parse.h
	$(CC) $(CFLAGS) -o page.o -c page.c

read_common.o: ../read_common.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o read_common.o -c ../read_common.c

read_prim.o: ../read_prim.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o read_prim.o -c ../read_prim.c

read_page.o: ../read_page.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o read_page.o -c ../read_page.c

read_cache.o: ../read_cache.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o read_cache.o -c ../read_cache.c

read_dump.o: ../read_dump.c ../read_common.h
	$(CC) $(CFLAGS) -o read_dump.o -c ../read_dump.c

cache.o: cache.c ../read_common.h read_fio.h
	$(CC) $(CFLAGS) -o cache.o -c cache.c

=== debian/changelog ===
sch-rnd (1.0.3-2) unstable; urgency=medium

  * elide gtk 2 support, allowing gtk 4 or lesstif interfaces to be used

 -- Bdale Garbee <bdale@gag.com>  Thu, 09 Nov 2023 12:04:37 -0700

sch-rnd (1.0.3-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 17 Oct 2023 22:01:14 -0600

sch-rnd (1.0.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 14 Sep 2023 16:10:04 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: sch-rnd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-io-alien (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk2-gl, librnd4-hid-gtk2-gdk, sch-rnd-export-extra (= ${binary:Version}), sch-rnd-doc (= ${source:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-io-alien (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk4-gl | librnd4-hid-lesstif, sch-rnd-export-extra (= ${binary:Version}), sch-rnd-doc (= ${source:Version})
 Description: Standard installation of sch-rnd
  sch-rnd is a highly modular schematic capture software with a rich set of
  plugins for communicating with various external design tools and other
@@ -38,6 +38,7 @@
      * lihata cschem symbol (any version)
    - export misc:
      * abstract model text
+     * Bill of Materials
      * printer (using ps)
      * png
      * ps
@@ -51,6 +52,16 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Documentation for sch-rnd
  User manual and developer doc (html).
+
+Package: sch-rnd-sim
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version})
+Description: High level circuit simulation
+ Circuit simulation that can export and execute SPICE (ngspice) in the
+ background and save or present the results. Works both from the GUI
+ (with dialogs for configuring simulation setups, presenting plots and
+ data in the same dialog) and from CLI (with actions using existing
+ configuration, saving output data to a computer readable file).
 
 Package: sch-rnd-io-alien
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 		--prefix/libs/script/fungw=/dev/null \
 		\
 		--all=disable \
+		--buildin-funcmap \
 		--buildin-act_read \
 		--buildin-place \
 		--buildin-symlib_local \
@@ -33,6 +34,8 @@
 		--buildin-backann \
 		--buildin-std_cschem \
 		--buildin-export_tedax \
+		--buildin-lib_tedax \
+		--buildin-lib_anymap \
 		--buildin-std_forge \
 		--buildin-std_devmap \
 		--buildin-propedit \
@@ -44,18 +47,25 @@
 		--buildin-target_none \
 		--buildin-symlib_fs \
 		--buildin-query \
+		--buildin-lib_target \
 		--buildin-export_spice \
 		--buildin-lib_ngrp \
 		--buildin-construct \
 		--plugin-lib_alien \
 		--plugin-export_ps \
+		--plugin-export_bom \
 		--plugin-export_abst \
 		--plugin-io_altium \
+		--plugin-sim_gui \
 		--plugin-sch_dialogs \
+		--plugin-lib_plot \
 		--plugin-export_lpr \
 		--plugin-export_svg \
+		--plugin-sim \
 		--plugin-gui \
 		--plugin-diag \
+		--plugin-sim_ngspice \
 		--plugin-io_tinycad \
 		--plugin-io_geda \
 		--plugin-export_png \
+		--plugin-lib_ucdf \

## sch-rnd 1.0.5

=== doc/Makefile ===
--- 
+++ 
@@ -24,11 +24,12 @@
 	$(SCCBOX) $(HOW) *.html *.txt TODO $(DOCDIR)/
 
 install:
-	$(SCCBOX) mkdir -p "$(DOCDIR)"
+	$(SCCBOX) mkdir -p "$(DOCDIR)" "$(DOCDIR)/resources"
 	cd design && $(MAKE) install
 	cd developer && $(MAKE) install
 	cd examples && $(MAKE) install
 	cd man && $(MAKE) install
+	cd resources && $(MAKE) install
 	cd tutorial && $(MAKE) install
 	cd user && $(MAKE) install
 	$(MAKE) install_main HOW="install -f -d"
@@ -38,6 +39,7 @@
 	cd developer && $(MAKE) linstall
 	cd examples && $(MAKE) linstall
 	cd man && $(MAKE) linstall
+	cd resources && $(MAKE) linstall
 	cd tutorial && $(MAKE) linstall
 	cd user && $(MAKE) linstall
 	$(MAKE) install_main HOW="install -f -l -d"
@@ -47,6 +49,7 @@
 	cd developer && $(MAKE) uninstall
 	cd examples && $(MAKE) uninstall
 	cd man && $(MAKE) uninstall
+	cd resources && $(MAKE) uninstall
 	cd tutorial && $(MAKE) uninstall
 	cd user && $(MAKE) uninstall
 	$(MAKE) install_main HOW="install -f -u -d"

=== font/Makefile ===
ROOT=..
FONTDIR=$(DATADIR)/font

all:

clean:

distclean:

install_:
	-$(SCCBOX) mkdir -p $(FONTDIR)
	$(CPC) "`pwd`/aussiefont-sans-bold"           "$(FONTDIR)/aussiefont-sans-bold"
	$(CPC) "`pwd`/aussiefont-sans-bold-oblique"   "$(FONTDIR)/aussiefont-sans-bold-oblique"
	$(CPC) "`pwd`/aussiefont-sans-oblique"        "$(FONTDIR)/aussiefont-sans-oblique"
	$(CPC) "`pwd`/aussiefont-sans-regular"        "$(FONTDIR)/aussiefont-sans-regular"
	$(CPC) "`pwd`/aussiefont-serif-bold"          "$(FONTDIR)/aussiefont-serif-bold"
	$(CPC) "`pwd`/aussiefont-serif-bold-oblique"  "$(FONTDIR)/aussiefont-serif-bold-oblique"
	$(CPC) "`pwd`/aussiefont-serif-oblique"       "$(FONTDIR)/aussiefont-serif-oblique"
	$(CPC) "`pwd`/aussiefont-serif-regular"       "$(FONTDIR)/aussiefont-serif-regular"

install:
	$(MAKE) install_ CPC="$(SCCBOX) install"

linstall:
	$(MAKE) install_ CPC="$(SCCBOX) linstall"

uninstall:
	$(MAKE) install_ CPC="$(SCCBOX) uninstall"

include $(ROOT)/Makefile.conf

=== src_3rd/Makefile ===
--- 
+++ 
@@ -1,12 +1,17 @@
 ROOT=..
 
-all:
+all: libminuid/minuid
 
 clean:
+	cd libminuid && make clean && cd ..
+	cd libucdf && make clean && cd ..
+	cd libuundo && make clean && cd ..
+	cd load_cache && make clean && cd ..
+	-rm rnd_inclib/font/*.o
 
-distclean:
+distclean: clean
 
-install_:
+install_: libminuid/minuid
 	-$(SCCBOX) mkdir -p $(LIBDIR)/boxsym-rnd
 	$(CPC) "`pwd`/libminuid/minuid" "$(LIBDIR)/minuid"
 
@@ -20,3 +25,6 @@
 	$(MAKE) install_ CPC="$(SCCBOX) uninstall"
 
 include $(ROOT)/Makefile.conf
+
+libminuid/minuid:
+	cd ../src/libcschem && make ../../src_3rd/libminuid/minuid && cd ..

=== doc/examples/Makefile ===
ROOT=../..
EXADIR=$(DOCDIR)/examples

all:

install_all:
	$(SCCBOX) mkdir -p $(EXADIR)/backann $(EXADIR)/devmaps
	$(SCCBOX) $(HOW) -d backann/div* $(EXADIR)/backann
	$(SCCBOX) $(HOW) -d devmaps/*.devmap $(EXADIR)/devmaps
	$(SCCBOX) $(HOW) -d *.rs $(EXADIR)

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== src_3rd/libminuid/Makefile ===
CFLAGS = $(LIBMINUID_CFLAGS)
LDFLAGS = $(LIBMINUID_LDFLAGS)

#CFLAGS += -g -Wall -ansi -pedantic
#LDFLAGS = -rdynamic

INCDIR=$(install_root)$(DESTDIR)/usr/include
LIBDIR=$(install_root)$(DESTDIR)/usr/lib

VER_MAJOR=1
VER_MINOR=0
VER_PATCH=1
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

LIBSO=libminuid.so.$(VER)
LIBSO1=libminuid.so.$(VER_MAJOR)
LIBA=libminuid.a


all: $(LIBA) $(LIBSO) minuid

libminuid.o: libminuid.c libminuid.h
	$(CC) $(CFLAGS) -c libminuid.c -o $@

$(LIBSO): libminuid.o
	$(CC) $(LDFLAGS) -shared -dynamic -o $@ libminuid.o

$(LIBA): libminuid.o
	@touch $(LIBA)
	@rm $(LIBA)
	@ar ru $(LIBA) libminuid.o
	-ar s $(LIBA)
	-ranlib $(LIBA)

minuid$(EXE): minuid.o libminuid.o
	$(CC) $(LDFLAGS) minuid.o libminuid.o -o $@

minuid.o: minuid.c libminuid.h
	$(CC) $(CFLAGS) -c minuid.c -o $@


clean:
	-rm libminuid.o $(LIBA) $(LIBSO) $(LIBSO1)

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/libminuid.h $(INCDIR)/libminuid.h
	$(CP) `pwd`/$(LIBSO) $(LIBDIR)/$(LIBSO)
	$(CP) `pwd`/$(LIBA) $(LIBDIR)/$(LIBA)

uninstall:
	rm $(INCDIR)/libminuid.h $(LIBDIR)/$(LIBSO) $(LIBDIR)/$(LIBA) $(LIBDIR)/$(LIBSO1)

install:
	make install_ CP="cp"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

linstall:
	make install_ CP="ln -s"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

=== tests/std_forge_cond/Makefile ===
--- 
+++ 
@@ -5,14 +5,14 @@
 include $(LIBRND_MAK)
 
 CFLAGS = $(CFLAGS_LIBRND) -I$(STDFRG) -I$(TRUNK)/src -I$(TRUNK)/src/plugins
-LDFLAGS = $(LDFLAGS_LIBRND)
+LDFLAGS = $(LIB_RND_LDFLAGS_EXTRA) $(LDFLAGS_LIBRND)
 LDLIBS = -lrnd-3rd
 
 
 all: std_forge_cond
 
 std_forge_cond: $(STDFRG)/cond_gram.o std_forge_cond.o
-	$(CC) -o std_forge_cond  std_forge_cond.o $(STDFRG)/cond_gram.o $(LDFLAGS_LIBRND) $(LDLIBS)
+	$(CC) -o std_forge_cond  std_forge_cond.o $(STDFRG)/cond_gram.o $(LDFLAGS) $(LDLIBS)
 
 $(STDFRG)/cond_gram.o: $(STDFRG)/cond_gram.c $(STDFRG)/cond.h
 	$(CC) -c $(CFLAGS) -o $(STDFRG)/cond_gram.o $(STDFRG)/cond_gram.c

=== src/plugins/construct/Makefile ===
all:
	cd ../../sch-rnd && make mod_construct

=== src/plugins/export_abst/Makefile ===
all:
	cd ../../sch-rnd && make mod_export_abst

=== debian/changelog ===
sch-rnd (1.0.5-2) unstable; urgency=medium

  * remove erroneous librnd4 run-time dependencies, ok to do since the library
    in question was renamed for the t64 transition and the renamed library 
    has not made it to testing yet, so only "new enough" versions of librnd4
    can possibly satisfy sch-rnd needs once it hits testing, closes: #1068810

 -- Bdale Garbee <bdale@gag.com>  Fri, 12 Apr 2024 12:39:36 -0600

sch-rnd (1.0.5-1) unstable; urgency=medium

  * new upstream version, closes: #1046531

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Apr 2024 22:59:15 -0600

sch-rnd (1.0.4-2) unstable; urgency=medium

  * add Suggests for other Ringdove applications
  * move to Ringdove subgroup on salsa
  * update run time deps from gtk2 to gtk4

 -- Bdale Garbee <bdale@gag.com>  Mon, 05 Feb 2024 22:58:58 -0700

sch-rnd (1.0.4-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Jan 2024 02:05:58 -0700

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), librnd4-dev, libxml2-dev
+Build-Depends: debhelper (>= 11), librnd4-dev (>= 4.1.0), libxml2-dev
 Standards-Version: 4.1.3
 Homepage: http://repo.hu/projects/sch-rnd
-Vcs-Git: https://salsa.debian.org/electronics-team/sch-rnd.git
-Vcs-Browser: https://salsa.debian.org/electronics-team/sch-rnd
+Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/sch-rnd.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/ringdove-eda/sch-rnd
 
 Package: sch-rnd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-io-alien (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk4-gl | librnd4-hid-lesstif, sch-rnd-export-extra (= ${binary:Version}), sch-rnd-doc (= ${source:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-io-alien (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk4-gl, sch-rnd-export-extra (= ${binary:Version}), sch-rnd-doc (= ${source:Version})
+Suggests: camv-rnd, pcb-rnd, route-rnd
 Description: Standard installation of sch-rnd
  sch-rnd is a highly modular schematic capture software with a rich set of
  plugins for communicating with various external design tools and other
@@ -28,7 +29,9 @@
      * altium schematics
      * geda cschem schematics (v2)
      * lihata cschem schematics (any version)
+     * cschem non-graphical schematic sheets in fawk format
      * cschem non-graphical schematic sheets in tEDAx format
+     * orcad schematics
      * TinyCAD schematics
    - export netlist:
      * tEDAx netlist
@@ -45,6 +48,7 @@
      * eps
      * spice
      * svg
+     * tdx
      * lihata cschem symbol (any version)
 
 Package: sch-rnd-doc
@@ -72,19 +76,19 @@
 
 Package: sch-rnd-export-gd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-pixmap
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-pixmap (>= 4.1.0)
 Description: Export formats that require libgd.
  Bitmap export plugin (png, jpeg, etc.)
 
 Package: sch-rnd-lib-gui
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-lib-gui
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-lib-gui (>= 4.1.0)
 Description: Support library for building the GUI.
  Provides sch-rnd specific dialog boxes and top window GUI elements.
 
 Package: sch-rnd-core
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: sch-rnd executable with the core functionality and boxsym-rnd
  Includes the data model, the most common action commands, the native
  file format. Can be used in headless mode or batch/scripted mode for
@@ -93,7 +97,7 @@
 
 Package: sch-rnd-export-vector
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4
+Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
 Description: Export formats: vector graphics
  Common vector graphic export formats: ps, eps, svg.

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 		--buildin-export_tedax \
 		--buildin-lib_tedax \
 		--buildin-lib_anymap \
+		--buildin-hlibrary_fs \
 		--buildin-std_forge \
 		--buildin-std_devmap \
 		--buildin-propedit \
@@ -55,11 +56,13 @@
 		--plugin-export_ps \
 		--plugin-export_bom \
 		--plugin-export_abst \
+		--plugin-io_orcad \
 		--plugin-io_altium \
 		--plugin-sim_gui \
 		--plugin-sch_dialogs \
 		--plugin-lib_plot \
 		--plugin-export_lpr \
+		--plugin-export_tedax_footprint \
 		--plugin-export_svg \
 		--plugin-sim \
 		--plugin-gui \

## sch-rnd 1.0.6

=== debian/changelog ===
sch-rnd (1.0.6-1) unstable; urgency=medium

  * new upstream release, closes: #1075490

 -- Bdale Garbee <bdale@gag.com>  Wed, 14 Aug 2024 23:50:50 -0600

sch-rnd (1.0.5-3) unstable; urgency=medium

  * use same CFLAGS as librnd for compatibility

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Jun 2024 11:47:51 -0600

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
    - text based, tree structured native file format (lihata)
    - import netlist:
      * altium schematics
+     * EasyEDA std, multi-page schematics sheets
      * geda cschem schematics (v2)
      * lihata cschem schematics (any version)
      * cschem non-graphical schematic sheets in fawk format
@@ -37,6 +38,8 @@
      * tEDAx netlist
      * lihata cschem schematics (any version)
    - import misc:
+     * EasyEDA std, symbol
+     * EasyEDA pro, symbol
      * geda cschem symbol (v1)
      * lihata cschem symbol (any version)
    - export misc:

## sch-rnd 1.0.7

=== src/plugins/export_tedax_footprint/Makefile ===
all:
	cd ../../sch-rnd && make mod_export_tedax_footprint

=== doc/user/06_features/scripting/examples/Makefile ===
all: index.html

index.html: list util/rosetta_genpages.sh
	cd util && ./rosetta_genpages.sh

=== debian/changelog ===
sch-rnd (1.0.7-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 14 Nov 2024 21:29:48 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), librnd4-dev (>= 4.1.0), libxml2-dev
+Build-Depends: debhelper (>= 11), librnd4-dev (>= 4.2.0), libxml2-dev
 Standards-Version: 4.1.3
 Homepage: http://repo.hu/projects/sch-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/sch-rnd.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+# Workaround on exotic archs, probably any 32 bit arch with 64 bit kernel
+# see bug #1019729
+CFLAGS += -D_LARGE_FILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
 
 %:
 	dh $@
@@ -68,6 +72,7 @@
 		--plugin-gui \
 		--plugin-diag \
 		--plugin-sim_ngspice \
+		--plugin-io_easyeda \
 		--plugin-io_tinycad \
 		--plugin-io_geda \
 		--plugin-export_png \

## sch-rnd 1.0.8

=== scconfig/Makefile ===
--- 
+++ 
@@ -87,12 +87,12 @@
 sccbox: src/util/sccbox.o
 	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o
 
-LIBRNDSCC=$(LIBRND_PREFIX)/include/librnd/scconfig
+LIBRNDSCC=$(LIBRND_PREFIX)/include/librnd4/librnd/scconfig
 RNDHOOKS=$(LIBRNDSCC)/plugin_3state.h $(LIBRNDSCC)/hooks_common.h
 
-hooks.o: $(RNDHOOKS) plugins.h $(LIBRND_PREFIX)/include/librnd/scconfig Rev.h
+hooks.o: $(RNDHOOKS) plugins.h $(LIBRND_PREFIX)/include/librnd4/librnd/scconfig Rev.h
 
-librnd_ver.o: librnd_ver.c $(LIBRND_PREFIX)/include/librnd/config.h
+librnd_ver.o: librnd_ver.c $(LIBRND_PREFIX)/include/librnd4/librnd/config.h
 	$(CC) -c $(CFLAGS) -o librnd_ver.o librnd_ver.c
 
 $(BIN)/util/arg_auto_set.o: $(SRC)/util/arg_auto_set.c $(SRC)/util/arg_auto_set.h

=== doc/user/Makefile ===
# we do not yet have a proper user manual.

all:

install:

linstall:

uninstall:

clean:

distclean:

=== tests/export_spice/Makefile ===
all:

test:
	./test.sh

clean:
	touch dummy.cir.out
	rm *.cir.out

distclean: clean

=== src/plugins/io_geda/Makefile ===
all:
	cd ../../sch-rnd && make mod_io_geda

=== src/plugins/lib_ucdf/Makefile ===
all:
	cd ../../sch-rnd && make mod_lib_ucdf

=== tests/hier/cl2/Makefile ===
ROOT=../../..
SRC=$(ROOT)/src/sch-rnd
HERE=$(shell pwd)

all:

test:
	@cd $(SRC) && ./sch-rnd -x abst --outfile $(HERE)/abst.out $(HERE)/project.lht && cd $(HERE)
	@diff -u abst.ref abst.out
	@rm abst.out

distclean clean:
	touch abst.out
	rm abst.out

=== doc/user/06_features/query/Makefile ===
# Not run atuomatically; execute make after editing the tbl and 

concrete_fields.html: concrete_fields.tbl table.sh 
	@echo "<!-- DO NOT EDIT - AUTOGENERATED by Makefile-->" > concrete_fields.html
	@echo "<html><body><h1>query() fields </h1>" >> concrete_fields.html
	./table.sh < concrete_fields.tbl >> concrete_fields.html
	@echo "</body></html>" >> concrete_fields.html

=== debian/changelog ===
sch-rnd (1.0.8-3) unstable; urgency=medium

  * fix hard-coded librnd4 package name in explicit dependency used to force
    minimum version number, to use librnd4t64 instead
  * dump scconfig/config.log and scconfig/config.cache into the build log to
    aid in debugging build issue on i386

 -- Bdale Garbee <bdale@gag.com>  Thu, 01 May 2025 11:51:07 -0600

sch-rnd (1.0.8-2) unstable; urgency=medium

  * force test suite to run with --no-parallel to hopefully resolve the
    buildd failure on i386

 -- Bdale Garbee <bdale@gag.com>  Mon, 17 Mar 2025 15:09:20 -0600

sch-rnd (1.0.8-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Mar 2025 20:54:16 -0600

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-# Workaround on exotic archs, probably any 32 bit arch with 64 bit kernel
-# see bug #1019729
-CFLAGS += -D_LARGE_FILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
 
 %:
 	dh $@
@@ -46,8 +42,11 @@
 		--buildin-propedit \
 		--buildin-io_ngrp_fawk \
 		--buildin-io_lihata \
+		--buildin-lib_nanojson \
+		--buildin-export_boxsym \
 		--buildin-target_spice \
 		--buildin-target_pcb \
+		--buildin-lib_attbl \
 		--buildin-act_draw \
 		--buildin-target_none \
 		--buildin-symlib_fs \
@@ -60,13 +59,16 @@
 		--plugin-export_ps \
 		--plugin-export_bom \
 		--plugin-export_abst \
+		--plugin-attbl_tedax \
 		--plugin-io_orcad \
 		--plugin-io_altium \
 		--plugin-sim_gui \
 		--plugin-sch_dialogs \
 		--plugin-lib_plot \
 		--plugin-export_lpr \
+		--plugin-attbl_csv \
 		--plugin-export_tedax_footprint \
+		--plugin-attbl_json \
 		--plugin-export_svg \
 		--plugin-sim \
 		--plugin-gui \
@@ -76,4 +78,10 @@
 		--plugin-io_tinycad \
 		--plugin-io_geda \
 		--plugin-export_png \
-		--plugin-lib_ucdf \
+		--plugin-attbl_lht \
+		--plugin-lib_ucdf 
+	cat scconfig/config.log
+	cat scconfig/config.cache
+
+override_dh_auto_test:
+	dh_auto_test --no-parallel
